Index: /trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 7733)
+++ /trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 7734)
@@ -107,7 +107,7 @@
 void OBBTreeNode::spawnBVTree(const modelInfo& modelInf, const int* triangleIndexes, int length)
 {
-  PRINTF(3)("\n==============================Creating OBB Tree Node==================\n");
-  PRINT(3)(" OBB Tree Infos: \n");
-  PRINT(3)("\tDepth: %i \n\tTree Index: %i \n\tNumber of Triangles: %i\n", depth, this->treeIndex, length);
+  PRINTF(4)("\n==============================Creating OBB Tree Node==================\n");
+  PRINT(4)(" OBB Tree Infos: \n");
+  PRINT(4)("\tDepth: %i \n\tTree Index: %i \n\tNumber of Triangles: %i\n", depth, this->treeIndex, length);
   this->depth = depth;
 
@@ -239,18 +239,15 @@
 
   /* debug output section*/
-  PRINTF(3)("\nOBB Covariance Matrix:\n");
+  PRINTF(4)("\nOBB Covariance Matrix:\n");
   for(int j = 0; j < 3; ++j)
   {
-    PRINT(3)("\t\t");
+    PRINT(4)("\t\t");
     for(int k = 0; k < 3; ++k)
     {
-      PRINT(3)("%11.4f\t", covariance[j][k]);
-    }
-    PRINT(3)("\n");
-  }
-  PRINTF(3)("\nWeighteed OBB Center:\n\t\t%11.4f\t %11.4f\t %11.4f\n", center.x, center.y, center.z);
-//   PRINTF(3)("\nArithmetical OBB Center:\n\t\t%11.4f\t %11.4f\t %11.4f\n", box.arithCenter.x, box.arithCenter.y, box.arithCenter.z);
-
-  /* write back the covariance matrix data to the object oriented bouning box */
+      PRINT(4)("%11.4f\t", covariance[j][k]);
+    }
+    PRINT(4)("\n");
+  }
+  PRINTF(4)("\nWeighteed OBB Center:\n\t\t%11.4f\t %11.4f\t %11.4f\n", center.x, center.y, center.z);
 }
 
@@ -289,8 +286,8 @@
 //   box.axis[2] = Vector(0,0,1);
 
-  PRINTF(3)("Eigenvectors:\n");
-  PRINT(3)("\t\t%11.2f \t%11.2f \t%11.2f\n", box.axis[0].x, box.axis[0].y, box.axis[0].z);
-  PRINT(3)("\t\t%11.2f \t%11.2f \t%11.2f\n", box.axis[1].x, box.axis[1].y, box.axis[1].z);
-  PRINT(3)("\t\t%11.2f \t%11.2f \t%11.2f\n", box.axis[2].x, box.axis[2].y, box.axis[2].z);
+  PRINTF(4)("Eigenvectors:\n");
+  PRINT(4)("\t\t%11.2f \t%11.2f \t%11.2f\n", box.axis[0].x, box.axis[0].y, box.axis[0].z);
+  PRINT(4)("\t\t%11.2f \t%11.2f \t%11.2f\n", box.axis[1].x, box.axis[1].y, box.axis[1].z);
+  PRINT(4)("\t\t%11.2f \t%11.2f \t%11.2f\n", box.axis[2].x, box.axis[2].y, box.axis[2].z);
 }
 
@@ -308,5 +305,5 @@
 {
 
-  PRINTF(3)("Calculate Box Axis\n");
+  PRINTF(4)("Calculate Box Axis\n");
   /* now get the axis length */
   float               halfLength[3];                         //!< half length of the axis
@@ -368,8 +365,8 @@
 
 
-  PRINTF(3)("\n");
-  PRINT(3)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[0], maxLength[0], minLength[0], centerOffset[0]);
-  PRINT(3)("\tAxis halflength y: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[1], maxLength[1], minLength[1], centerOffset[1] );
-  PRINT(3)("\tAxis halflength z: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[2], maxLength[2], minLength[2], centerOffset[2]);
+  PRINTF(4)("\n");
+  PRINT(4)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[0], maxLength[0], minLength[0], centerOffset[0]);
+  PRINT(4)("\tAxis halflength y: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[1], maxLength[1], minLength[1], centerOffset[1] );
+  PRINT(4)("\tAxis halflength z: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[2], maxLength[2], minLength[2], centerOffset[2]);
 }
 
@@ -385,5 +382,5 @@
 {
 
-  PRINTF(3)("Fork Box\n");
+  PRINTF(4)("Fork Box\n");
   PRINTF(4)("Calculating the longest Axis\n");
   /* get the longest axis of the box */
@@ -401,5 +398,5 @@
     }
   }
-  PRINTF(3)("\nLongest Axis is: Nr %i with a half-length of:%11.2f\n", longestAxisIndex, longestAxis);
+  PRINTF(4)("\nLongest Axis is: Nr %i with a half-length of:%11.2f\n", longestAxisIndex, longestAxis);
 
 
@@ -452,5 +449,5 @@
     }
   }
-  PRINTF(3)("\nPartition1: got \t%i Vertices \nPartition2: got \t%i Vertices\n", partition1.size(), partition2.size());
+  PRINTF(4)("\nPartition1: got \t%i Vertices \nPartition2: got \t%i Vertices\n", partition1.size(), partition2.size());
 
 
@@ -514,5 +511,6 @@
 void OBBTreeNode::collideWithOBB(OBBTreeNode* treeNode, WorldEntity* nodeA, WorldEntity* nodeB)
 {
-  if( this->overlapTest(this->bvElement, (OBB*)treeNode->bvElement, nodeA, nodeB))
+
+  if( this->overlapTest(this->bvElement, treeNode->bvElement, nodeA, nodeB))
   {
     PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassName(), nodeB->getClassName(), this->nodeLeft, this->nodeRight);
